%define module_version 0.06
%define module_name DBIx-Schema-Annotate
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/SQLite.pm) perl(DBIx/Inspector.pm) perl(Encode.pm) perl(IO/All.pm) perl(Module/Build/Tiny.pm) perl(Module/Load.pm) perl(Smart/Args.pm) perl(Test/More.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: Add table schema as comment to your ORM file. This module is inspired by annotate_models.
Group: Development/Perl
License: perl
URL: https://github.com/tokubass/p5-DBIx-Schema-Annotate

Source0: http://cpan.org.ua/authors/id/T/TO/TOKUBASS/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Schema is added to pm file of specified path follower of the same camelize name as table.

For example 'post' table and 'post_comment' table exist, and we assume that $self->write_files(dir => $dir) was carried out.
The targets to which DBIx::Schema::Annotate adds a annotate are $dir/Post.pm and $dir/PostComment.pm.

This module is supporting MySQL and SQLite.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_privlib/D*

%changelog
* Wed Oct 14 2015 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Thu Dec 25 2014 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

